Skip to main content
`Ctrl`+`K`

# slepc4py.SLEPc.EPS.LanczosReorthogType

class slepc4py.SLEPc.EPS.LanczosReorthogType

  Bases: `object`

  EPS Lanczos reorthogonalization type.

  - `LOCAL`: Local reorthogonalization only.

  - `FULL`: Full reorthogonalization.

  - `SELECTIVE`: Selective reorthogonalization.

  - `PERIODIC`: Periodic reorthogonalization.

  - `PARTIAL`: Partial reorthogonalization.

  - `DELAYED`: Delayed reorthogonalization.

  Attributes Summary

  `DELAYED` | Constant `DELAYED` of type `int`
  `FULL` | Constant `FULL` of type `int`
  `LOCAL` | Constant `LOCAL` of type `int`
  `PARTIAL` | Constant `PARTIAL` of type `int`
  `PERIODIC` | Constant `PERIODIC` of type `int`
  `SELECTIVE` | Constant `SELECTIVE` of type `int`

  Attributes Documentation

  DELAYED: int = DELAYED

    Constant `DELAYED` of type `int`

  FULL: int = FULL

    Constant `FULL` of type `int`

  LOCAL: int = LOCAL

    Constant `LOCAL` of type `int`

  PARTIAL: int = PARTIAL

    Constant `PARTIAL` of type `int`

  PERIODIC: int = PERIODIC

    Constant `PERIODIC` of type `int`

  SELECTIVE: int = SELECTIVE

    Constant `SELECTIVE` of type `int`